Emmanuele
Bassi

              ebassilinux.intel.com

# Running Clutter

## Environment Variables

Clutter automatically checks environment variables during its initialization. These environment variables are meant as debug tools, overrides for default behaviours or to address known hardware issues:

CLUTTER_TEXT_DIRECTION

  Forces the text direction of every Pango layout inside Clutter. Valid values are: ltr or rtl

CLUTTER_SHOW_FPS

  Prints out the frames per second achieved by Clutter.

CLUTTER_DEFAULT_FPS

  Sets the default framerate.

CLUTTER_DISABLE_MIPMAPPED_TEXT

  Disables mipmapping when rendering text.

CLUTTER_FUZZY_PICK

  Enables "fuzzy picking".

CLUTTER_DEBUG

  Enables debugging modes for Clutter.

COGL_DEBUG

  Enables debugging modes for COGL.

On the GLX backend there is also:

CLUTTER_VBLANK

  Selects the sync-to-vblank mode to be used. Valid values are: none, dri or glx

## Command Line Arguments

Similarly to the environment variables, Clutter also installs command line switches that are parsed during initialization:

--clutter-show-fps

  Equivalent of CLUTTER_SHOW_FPS. Prints the current rendering speed in frames per second.

--clutter-default-fps=FPS

  Equivalent of CLUTTER_DEFAULT_FPS. Sets the default framerate.

--clutter-text-direction=DIRECTION

  Equivalent of CLUTTER_TEXT_DIRECTION. Sets the direction for the text.

--clutter-disable-mipmapped-text

  Equivalent of CLUTTER_DISABLE_MIPMAPPED_TEXT. Disables mipmapping when rendering text.

--clutter-use-fuzzy-picking

  Equivalent of CLUTTER_FUZZY_PICK. Enables "fuzzy" picking.

--clutter-debug=FLAGS

  Equivalent of CLUTTER_DEBUG. Sets FLAGS as the Clutter debugging flags.

--clutter-no-debug=FLAGS

  Unsets FLAGS from the Clutter debugging flags.

--cogl-debug=FLAGS

  Equivalent of COGL_DEBUG. Sets FLAGS as the COGL debugging flags.

--cogl-no-debug=FLAGS

  Unsets FLAGS from the COGL debugging flags.

The X11 backends also have the following command line options:

--display=DISPLAY

  Sets the X11 display to use.

--screen=SCREEN

  Sets the X11 screen number to use.

--synch

  Make X11 calls synchronous.

The GLX backend also has the following command line option:

--vblank=METHOD

  Equivalent of CLUTTER_VBLANK. Sets the sync-to-vblank method to be used.